package cn.axzo.msg.center.service.enums;

import com.google.common.collect.Sets;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Set;

/**
 * @description
 *
 * @author cold_blade
 * @date 2023/9/20
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum MessageGroupNodeCategoryEnum {

    GENERAL_MESSAGE_CENTER("消息中心", 1),
    GENERAL_MESSAGE_MODULE("消息模块", 2),
    GENERAL_MESSAGE_CATEGORY("消息分类", 3),
    PENDING_MESSAGE_CENTER("待办中心", 1),
    PENDING_MESSAGE_MODULE("待办模块", 2),
    PENDING_MESSAGE_CATEGORY("待办分类", 3),
    ;

    private final String desc;
    private final int level;

    public static final Set<MessageGroupNodeCategoryEnum> NOTIFICATION =
            Sets.newHashSet(GENERAL_MESSAGE_CENTER, GENERAL_MESSAGE_MODULE, GENERAL_MESSAGE_CATEGORY);

    public static final Set<MessageGroupNodeCategoryEnum> PENDING =
            Sets.newHashSet(PENDING_MESSAGE_CENTER, PENDING_MESSAGE_MODULE, PENDING_MESSAGE_CATEGORY);
}
